import { getPost as publicGetPost, getPostBySlug as publicGetPostBySlug, queryPosts as publicQueryPosts } from './forum-v1-post-posts.public.js';
import { createEventModule } from '@wix/sdk-runtime/event-definition-modules';
import { BuildRESTFunction, MaybeContext } from '@wix/sdk-types';
import { onPostClosed as publicOnPostClosed } from './forum-v1-post-posts.public.js';
import { onPostCreated as publicOnPostCreated } from './forum-v1-post-posts.public.js';
import { onPostDeleted as publicOnPostDeleted } from './forum-v1-post-posts.public.js';
import { onPostLiked as publicOnPostLiked } from './forum-v1-post-posts.public.js';
import { onPostMoved as publicOnPostMoved } from './forum-v1-post-posts.public.js';
import { onPostOpened as publicOnPostOpened } from './forum-v1-post-posts.public.js';
import { onPostPinned as publicOnPostPinned } from './forum-v1-post-posts.public.js';
import { onPostReacted as publicOnPostReacted } from './forum-v1-post-posts.public.js';
import { onPostReported as publicOnPostReported } from './forum-v1-post-posts.public.js';
import { onPostUnliked as publicOnPostUnliked } from './forum-v1-post-posts.public.js';
import { onPostUnpinned as publicOnPostUnpinned } from './forum-v1-post-posts.public.js';
import { onPostUnreacted as publicOnPostUnreacted } from './forum-v1-post-posts.public.js';
import { onPostUpdated as publicOnPostUpdated } from './forum-v1-post-posts.public.js';
export declare const getPost: MaybeContext<BuildRESTFunction<typeof publicGetPost> & typeof publicGetPost>;
export declare const getPostBySlug: MaybeContext<BuildRESTFunction<typeof publicGetPostBySlug> & typeof publicGetPostBySlug>;
export declare const queryPosts: MaybeContext<BuildRESTFunction<typeof publicQueryPosts> & typeof publicQueryPosts>;
/**
 * An existing post was closed for further comments.
 * @deprecated
 */
export declare const onPostClosed: ReturnType<typeof createEventModule<typeof publicOnPostClosed>>;
/**
 * A new post was created.
 * @deprecated
 */
export declare const onPostCreated: ReturnType<typeof createEventModule<typeof publicOnPostCreated>>;
/**
 * An existing post was removed.
 * @deprecated
 */
export declare const onPostDeleted: ReturnType<typeof createEventModule<typeof publicOnPostDeleted>>;
/**
 * An existing post was liked.
 * @deprecated
 */
export declare const onPostLiked: ReturnType<typeof createEventModule<typeof publicOnPostLiked>>;
/**
 * An existing post was moved to a different category.
 * @deprecated
 */
export declare const onPostMoved: ReturnType<typeof createEventModule<typeof publicOnPostMoved>>;
/**
 * An existing post was opened for further comments.
 * @deprecated
 */
export declare const onPostOpened: ReturnType<typeof createEventModule<typeof publicOnPostOpened>>;
/**
 * An existing post was pinned to the top of the post list.
 * @deprecated
 */
export declare const onPostPinned: ReturnType<typeof createEventModule<typeof publicOnPostPinned>>;
/**
 * An existing post was reacted.
 * @deprecated
 */
export declare const onPostReacted: ReturnType<typeof createEventModule<typeof publicOnPostReacted>>;
/**
 * An existing post was reported as inappropriate.
 * @deprecated
 */
export declare const onPostReported: ReturnType<typeof createEventModule<typeof publicOnPostReported>>;
/**
 * An existing post was unliked.
 * @deprecated
 */
export declare const onPostUnliked: ReturnType<typeof createEventModule<typeof publicOnPostUnliked>>;
/**
 * An existing post was unpinned from the top of the post list.
 * @deprecated
 */
export declare const onPostUnpinned: ReturnType<typeof createEventModule<typeof publicOnPostUnpinned>>;
/**
 * An existing post was unreacted.
 * @deprecated
 */
export declare const onPostUnreacted: ReturnType<typeof createEventModule<typeof publicOnPostUnreacted>>;
/**
 * An existing post was updated.
 * @deprecated
 */
export declare const onPostUpdated: ReturnType<typeof createEventModule<typeof publicOnPostUpdated>>;
export { PostType, Interaction, EntityType, IdentityType, ReportType, PostFieldField, Field, Order, WebhookIdentityType, } from './forum-v1-post-posts.universal.js';
export { Post, FocalPoint, VideoResolution, RecentActivity, RecentActivityInitiatorOneOf, ReactionCodeCount, ReactionIdentity, Identity, Moved, Liked, Unliked, Pinned, Unpinned, Closed, Opened, Reported, Reacted, Unreacted, PostRequest, PostResponse, PostSlugRequest, QueryPostsRequest, PostsPaging, PostsSort, QueryPostsResponse, QueryPostsResponseMetaData, ViewPostRequest, ViewPostResponse, MarkPostReadRequest, MarkPostReadResponse, MarkPostsSeenRequest, MarkPostsSeenResponse, MarkPostUnreadRequest, MarkPostUnreadResponse, CreatePostRequest, CreatePostResponse, UpdatePostRequest, UpdatePostResponse, DeletePostRequest, DeletePostResponse, SetBestAnswerRequest, SetBestAnswerResponse, RemoveBestAnswerRequest, RemoveBestAnswerResponse, PinPostRequest, PinPostResponse, UnpinPostRequest, UnpinPostResponse, AddReactionRequest, AddReactionResponse, RemoveReactionRequest, RemoveReactionResponse, ReportPostRequest, ReportPostResponse, DomainEvent, DomainEventBodyOneOf, EntityCreatedEvent, RestoreInfo, EntityUpdatedEvent, EntityDeletedEvent, ActionEvent, MessageEnvelope, IdentificationData, IdentificationDataIdOneOf, BaseEventMetadata, EventMetadata, PostClosedEnvelope, PostCreatedEnvelope, PostDeletedEnvelope, PostLikedEnvelope, PostMovedEnvelope, PostOpenedEnvelope, PostPinnedEnvelope, PostReactedEnvelope, PostReportedEnvelope, PostUnlikedEnvelope, PostUnpinnedEnvelope, PostUnreactedEnvelope, PostUpdatedEnvelope, GetPostOptions, GetPostBySlugOptions, QueryPostsOptions, } from './forum-v1-post-posts.universal.js';
