"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.WebhookIdentityType = exports.ReportType = exports.PostType = exports.PostFieldField = exports.Order = exports.Interaction = exports.IdentityType = exports.Field = exports.EntityType = exports.onPostUpdated = exports.onPostUnreacted = exports.onPostUnpinned = exports.onPostUnliked = exports.onPostReported = exports.onPostReacted = exports.onPostPinned = exports.onPostOpened = exports.onPostMoved = exports.onPostLiked = exports.onPostDeleted = exports.onPostCreated = exports.onPostClosed = exports.queryPosts = exports.getPostBySlug = exports.getPost = exports.__metadata = void 0;
const rename_all_nested_keys_1 = require("@wix/sdk-runtime/rename-all-nested-keys");
const image_1 = require("@wix/sdk-runtime/transformations/image");
const page_url_1 = require("@wix/sdk-runtime/transformations/page-url");
const timestamp_1 = require("@wix/sdk-runtime/transformations/timestamp");
const transform_paths_1 = require("@wix/sdk-runtime/transformations/transform-paths");
const video_v2_1 = require("@wix/sdk-runtime/transformations/video-v2");
const sdk_types_1 = require("@wix/sdk-types");
const forum_v1_post_posts_universal_js_1 = require("./forum-v1-post-posts.universal.js");
exports.__metadata = { PACKAGE_NAME: '@wix/forum' };
function getPost(httpClient) {
    return (postId, options) => (0, forum_v1_post_posts_universal_js_1.getPost)(postId, options, 
    // @ts-ignore
    { httpClient });
}
exports.getPost = getPost;
function getPostBySlug(httpClient) {
    return (slug, options) => (0, forum_v1_post_posts_universal_js_1.getPostBySlug)(slug, options, 
    // @ts-ignore
    { httpClient });
}
exports.getPostBySlug = getPostBySlug;
function queryPosts(httpClient) {
    return (options) => (0, forum_v1_post_posts_universal_js_1.queryPosts)(options, 
    // @ts-ignore
    { httpClient });
}
exports.queryPosts = queryPosts;
exports.onPostClosed = (0, sdk_types_1.EventDefinition)('wix.forum.post_closed', true, (event) => (0, rename_all_nested_keys_1.renameKeysFromRESTResponseToSDKResponse)((0, transform_paths_1.transformPaths)(event, [
    {
        transformFn: timestamp_1.transformRESTTimestampToSDKTimestamp,
        paths: [{ path: 'metadata.eventTime' }],
    },
])))();
exports.onPostCreated = (0, sdk_types_1.EventDefinition)('wix.forum.post_created', true, (event) => (0, rename_all_nested_keys_1.renameKeysFromRESTResponseToSDKResponse)((0, transform_paths_1.transformPaths)(event, [
    {
        transformFn: timestamp_1.transformRESTTimestampToSDKTimestamp,
        paths: [
            { path: 'entity.createdDate' },
            { path: 'entity.lastActivityDate' },
            { path: 'entity.updatedDate' },
            { path: 'metadata.eventTime' },
        ],
    },
    {
        transformFn: page_url_1.transformRESTPageURLToSDKPageURL,
        paths: [{ path: 'entity.url' }],
    },
    {
        transformFn: image_1.transformRESTImageToSDKImage,
        paths: [{ path: 'entity.images', isRepeated: true }],
    },
    {
        transformFn: video_v2_1.transformRESTVideoV2ToSDKVideoV2,
        paths: [{ path: 'entity.videos', isRepeated: true }],
    },
])))();
exports.onPostDeleted = (0, sdk_types_1.EventDefinition)('wix.forum.post_deleted', true, (event) => (0, rename_all_nested_keys_1.renameKeysFromRESTResponseToSDKResponse)((0, transform_paths_1.transformPaths)(event, [
    {
        transformFn: timestamp_1.transformRESTTimestampToSDKTimestamp,
        paths: [
            { path: 'undefined.createdDate' },
            { path: 'undefined.lastActivityDate' },
            { path: 'undefined.updatedDate' },
            { path: 'metadata.eventTime' },
        ],
    },
    {
        transformFn: page_url_1.transformRESTPageURLToSDKPageURL,
        paths: [{ path: 'undefined.url' }],
    },
    {
        transformFn: image_1.transformRESTImageToSDKImage,
        paths: [{ path: 'undefined.images', isRepeated: true }],
    },
    {
        transformFn: video_v2_1.transformRESTVideoV2ToSDKVideoV2,
        paths: [{ path: 'undefined.videos', isRepeated: true }],
    },
])))();
exports.onPostLiked = (0, sdk_types_1.EventDefinition)('wix.forum.post_liked', true, (event) => (0, rename_all_nested_keys_1.renameKeysFromRESTResponseToSDKResponse)((0, transform_paths_1.transformPaths)(event, [
    {
        transformFn: timestamp_1.transformRESTTimestampToSDKTimestamp,
        paths: [{ path: 'metadata.eventTime' }],
    },
])))();
exports.onPostMoved = (0, sdk_types_1.EventDefinition)('wix.forum.post_moved', true, (event) => (0, rename_all_nested_keys_1.renameKeysFromRESTResponseToSDKResponse)((0, transform_paths_1.transformPaths)(event, [
    {
        transformFn: timestamp_1.transformRESTTimestampToSDKTimestamp,
        paths: [{ path: 'metadata.eventTime' }],
    },
])))();
exports.onPostOpened = (0, sdk_types_1.EventDefinition)('wix.forum.post_opened', true, (event) => (0, rename_all_nested_keys_1.renameKeysFromRESTResponseToSDKResponse)((0, transform_paths_1.transformPaths)(event, [
    {
        transformFn: timestamp_1.transformRESTTimestampToSDKTimestamp,
        paths: [{ path: 'metadata.eventTime' }],
    },
])))();
exports.onPostPinned = (0, sdk_types_1.EventDefinition)('wix.forum.post_pinned', true, (event) => (0, rename_all_nested_keys_1.renameKeysFromRESTResponseToSDKResponse)((0, transform_paths_1.transformPaths)(event, [
    {
        transformFn: timestamp_1.transformRESTTimestampToSDKTimestamp,
        paths: [{ path: 'metadata.eventTime' }],
    },
])))();
exports.onPostReacted = (0, sdk_types_1.EventDefinition)('wix.forum.post_reacted', true, (event) => (0, rename_all_nested_keys_1.renameKeysFromRESTResponseToSDKResponse)((0, transform_paths_1.transformPaths)(event, [
    {
        transformFn: timestamp_1.transformRESTTimestampToSDKTimestamp,
        paths: [{ path: 'metadata.eventTime' }],
    },
])))();
exports.onPostReported = (0, sdk_types_1.EventDefinition)('wix.forum.post_reported', true, (event) => (0, rename_all_nested_keys_1.renameKeysFromRESTResponseToSDKResponse)((0, transform_paths_1.transformPaths)(event, [
    {
        transformFn: timestamp_1.transformRESTTimestampToSDKTimestamp,
        paths: [{ path: 'metadata.eventTime' }],
    },
])))();
exports.onPostUnliked = (0, sdk_types_1.EventDefinition)('wix.forum.post_unliked', true, (event) => (0, rename_all_nested_keys_1.renameKeysFromRESTResponseToSDKResponse)((0, transform_paths_1.transformPaths)(event, [
    {
        transformFn: timestamp_1.transformRESTTimestampToSDKTimestamp,
        paths: [{ path: 'metadata.eventTime' }],
    },
])))();
exports.onPostUnpinned = (0, sdk_types_1.EventDefinition)('wix.forum.post_unpinned', true, (event) => (0, rename_all_nested_keys_1.renameKeysFromRESTResponseToSDKResponse)((0, transform_paths_1.transformPaths)(event, [
    {
        transformFn: timestamp_1.transformRESTTimestampToSDKTimestamp,
        paths: [{ path: 'metadata.eventTime' }],
    },
])))();
exports.onPostUnreacted = (0, sdk_types_1.EventDefinition)('wix.forum.post_unreacted', true, (event) => (0, rename_all_nested_keys_1.renameKeysFromRESTResponseToSDKResponse)((0, transform_paths_1.transformPaths)(event, [
    {
        transformFn: timestamp_1.transformRESTTimestampToSDKTimestamp,
        paths: [{ path: 'metadata.eventTime' }],
    },
])))();
exports.onPostUpdated = (0, sdk_types_1.EventDefinition)('wix.forum.post_updated', true, (event) => (0, rename_all_nested_keys_1.renameKeysFromRESTResponseToSDKResponse)((0, transform_paths_1.transformPaths)(event, [
    {
        transformFn: timestamp_1.transformRESTTimestampToSDKTimestamp,
        paths: [
            { path: 'entity.createdDate' },
            { path: 'entity.lastActivityDate' },
            { path: 'entity.updatedDate' },
            { path: 'metadata.eventTime' },
        ],
    },
    {
        transformFn: page_url_1.transformRESTPageURLToSDKPageURL,
        paths: [{ path: 'entity.url' }],
    },
    {
        transformFn: image_1.transformRESTImageToSDKImage,
        paths: [{ path: 'entity.images', isRepeated: true }],
    },
    {
        transformFn: video_v2_1.transformRESTVideoV2ToSDKVideoV2,
        paths: [{ path: 'entity.videos', isRepeated: true }],
    },
])))();
var forum_v1_post_posts_universal_js_2 = require("./forum-v1-post-posts.universal.js");
Object.defineProperty(exports, "EntityType", { enumerable: true, get: function () { return forum_v1_post_posts_universal_js_2.EntityType; } });
Object.defineProperty(exports, "Field", { enumerable: true, get: function () { return forum_v1_post_posts_universal_js_2.Field; } });
Object.defineProperty(exports, "IdentityType", { enumerable: true, get: function () { return forum_v1_post_posts_universal_js_2.IdentityType; } });
Object.defineProperty(exports, "Interaction", { enumerable: true, get: function () { return forum_v1_post_posts_universal_js_2.Interaction; } });
Object.defineProperty(exports, "Order", { enumerable: true, get: function () { return forum_v1_post_posts_universal_js_2.Order; } });
Object.defineProperty(exports, "PostFieldField", { enumerable: true, get: function () { return forum_v1_post_posts_universal_js_2.PostFieldField; } });
Object.defineProperty(exports, "PostType", { enumerable: true, get: function () { return forum_v1_post_posts_universal_js_2.PostType; } });
Object.defineProperty(exports, "ReportType", { enumerable: true, get: function () { return forum_v1_post_posts_universal_js_2.ReportType; } });
Object.defineProperty(exports, "WebhookIdentityType", { enumerable: true, get: function () { return forum_v1_post_posts_universal_js_2.WebhookIdentityType; } });
//# sourceMappingURL=forum-v1-post-posts.public.js.map