"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.WebhookIdentityType = exports.Order = exports.Field = exports.PostFieldField = exports.ReportType = exports.IdentityType = exports.EntityType = exports.Interaction = exports.PostType = void 0;
var PostType;
(function (PostType) {
    PostType["DISCUSSION"] = "DISCUSSION";
    PostType["QUESTION"] = "QUESTION";
})(PostType || (exports.PostType = PostType = {}));
var Interaction;
(function (Interaction) {
    Interaction["UNKNOWN"] = "UNKNOWN";
    Interaction["REACTION"] = "REACTION";
    Interaction["VOTE"] = "VOTE";
    Interaction["NONE"] = "NONE";
})(Interaction || (exports.Interaction = Interaction = {}));
var EntityType;
(function (EntityType) {
    EntityType["UNKNOWN"] = "UNKNOWN";
    EntityType["COMMENT"] = "COMMENT";
    EntityType["REPLY"] = "REPLY";
})(EntityType || (exports.EntityType = EntityType = {}));
var IdentityType;
(function (IdentityType) {
    IdentityType["UNKNOWN"] = "UNKNOWN";
    IdentityType["VISITOR"] = "VISITOR";
    IdentityType["MEMBER"] = "MEMBER";
})(IdentityType || (exports.IdentityType = IdentityType = {}));
var ReportType;
(function (ReportType) {
    ReportType["OFFENSIVE_CONTENT"] = "OFFENSIVE_CONTENT";
    ReportType["OFFENSIVE_MEDIA"] = "OFFENSIVE_MEDIA";
    ReportType["SPAM"] = "SPAM";
})(ReportType || (exports.ReportType = ReportType = {}));
var PostFieldField;
(function (PostFieldField) {
    PostFieldField["UNKNOWN"] = "UNKNOWN";
    /** Includes Post content as a stringified DraftJS document (internal only). */
    PostFieldField["CONTENT"] = "CONTENT";
    /** Includes images from Post content (internal only). */
    PostFieldField["IMAGES"] = "IMAGES";
    /** Includes videos from Post content (internal only). */
    PostFieldField["VIDEOS"] = "VIDEOS";
    /** Includes Post URL. */
    PostFieldField["URL"] = "URL";
    /** Includes Post content as a stringified Rich Content document (internal only). */
    PostFieldField["RICH_CONTENT"] = "RICH_CONTENT";
})(PostFieldField || (exports.PostFieldField = PostFieldField = {}));
var Field;
(function (Field) {
    /** Undefined field type. */
    Field["UNKNOWN"] = "UNKNOWN";
    /** Include images from post content. */
    Field["IMAGES"] = "IMAGES";
    /** Include videos from post content. */
    Field["VIDEOS"] = "VIDEOS";
    /** Include post URL. */
    Field["URL"] = "URL";
    /** Include reaction identities. */
    Field["REACTION_IDENTITIES"] = "REACTION_IDENTITIES";
    /** Includes the post content as a stringified [Rich Content document](https://dev.wix.com/docs/ricos/api-reference/ricos-document) */
    Field["RICH_CONTENT"] = "RICH_CONTENT";
})(Field || (exports.Field = Field = {}));
var Order;
(function (Order) {
    /** Sort by ascending order. */
    Order["ASC"] = "ASC";
    /** Sort by descending order. */
    Order["DESC"] = "DESC";
})(Order || (exports.Order = Order = {}));
var WebhookIdentityType;
(function (WebhookIdentityType) {
    WebhookIdentityType["UNKNOWN"] = "UNKNOWN";
    WebhookIdentityType["ANONYMOUS_VISITOR"] = "ANONYMOUS_VISITOR";
    WebhookIdentityType["MEMBER"] = "MEMBER";
    WebhookIdentityType["WIX_USER"] = "WIX_USER";
    WebhookIdentityType["APP"] = "APP";
})(WebhookIdentityType || (exports.WebhookIdentityType = WebhookIdentityType = {}));
//# sourceMappingURL=forum-v1-post-posts.types.js.map