"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.queryPosts = exports.getPostBySlug = exports.getPost = exports.WebhookIdentityType = exports.Order = exports.Field = exports.PostFieldField = exports.ReportType = exports.IdentityType = exports.EntityType = exports.Interaction = exports.PostType = void 0;
const transform_error_1 = require("@wix/sdk-runtime/transform-error");
const rename_all_nested_keys_1 = require("@wix/sdk-runtime/rename-all-nested-keys");
const ambassadorWixForumV1Post = __importStar(require("./forum-v1-post-posts.http.js"));
const image_1 = require("@wix/sdk-runtime/transformations/image");
const video_v2_1 = require("@wix/sdk-runtime/transformations/video-v2");
const page_url_1 = require("@wix/sdk-runtime/transformations/page-url");
const transform_paths_1 = require("@wix/sdk-runtime/transformations/transform-paths");
var PostType;
(function (PostType) {
    PostType["DISCUSSION"] = "DISCUSSION";
    PostType["QUESTION"] = "QUESTION";
})(PostType || (exports.PostType = PostType = {}));
var Interaction;
(function (Interaction) {
    Interaction["UNKNOWN"] = "UNKNOWN";
    Interaction["REACTION"] = "REACTION";
    Interaction["VOTE"] = "VOTE";
    Interaction["NONE"] = "NONE";
})(Interaction || (exports.Interaction = Interaction = {}));
var EntityType;
(function (EntityType) {
    EntityType["UNKNOWN"] = "UNKNOWN";
    EntityType["COMMENT"] = "COMMENT";
    EntityType["REPLY"] = "REPLY";
})(EntityType || (exports.EntityType = EntityType = {}));
var IdentityType;
(function (IdentityType) {
    IdentityType["UNKNOWN"] = "UNKNOWN";
    IdentityType["VISITOR"] = "VISITOR";
    IdentityType["MEMBER"] = "MEMBER";
})(IdentityType || (exports.IdentityType = IdentityType = {}));
var ReportType;
(function (ReportType) {
    ReportType["OFFENSIVE_CONTENT"] = "OFFENSIVE_CONTENT";
    ReportType["OFFENSIVE_MEDIA"] = "OFFENSIVE_MEDIA";
    ReportType["SPAM"] = "SPAM";
})(ReportType || (exports.ReportType = ReportType = {}));
var PostFieldField;
(function (PostFieldField) {
    PostFieldField["UNKNOWN"] = "UNKNOWN";
    /** Includes Post content as a stringified DraftJS document (internal only). */
    PostFieldField["CONTENT"] = "CONTENT";
    /** Includes images from Post content (internal only). */
    PostFieldField["IMAGES"] = "IMAGES";
    /** Includes videos from Post content (internal only). */
    PostFieldField["VIDEOS"] = "VIDEOS";
    /** Includes Post URL. */
    PostFieldField["URL"] = "URL";
    /** Includes Post content as a stringified Rich Content document (internal only). */
    PostFieldField["RICH_CONTENT"] = "RICH_CONTENT";
})(PostFieldField || (exports.PostFieldField = PostFieldField = {}));
var Field;
(function (Field) {
    /** Undefined field type. */
    Field["UNKNOWN"] = "UNKNOWN";
    /** Include images from post content. */
    Field["IMAGES"] = "IMAGES";
    /** Include videos from post content. */
    Field["VIDEOS"] = "VIDEOS";
    /** Include post URL. */
    Field["URL"] = "URL";
    /** Include reaction identities. */
    Field["REACTION_IDENTITIES"] = "REACTION_IDENTITIES";
    /** Includes the post content as a stringified [Rich Content document](https://dev.wix.com/docs/ricos/api-reference/ricos-document) */
    Field["RICH_CONTENT"] = "RICH_CONTENT";
})(Field || (exports.Field = Field = {}));
var Order;
(function (Order) {
    /** Sort by ascending order. */
    Order["ASC"] = "ASC";
    /** Sort by descending order. */
    Order["DESC"] = "DESC";
})(Order || (exports.Order = Order = {}));
var WebhookIdentityType;
(function (WebhookIdentityType) {
    WebhookIdentityType["UNKNOWN"] = "UNKNOWN";
    WebhookIdentityType["ANONYMOUS_VISITOR"] = "ANONYMOUS_VISITOR";
    WebhookIdentityType["MEMBER"] = "MEMBER";
    WebhookIdentityType["WIX_USER"] = "WIX_USER";
    WebhookIdentityType["APP"] = "APP";
})(WebhookIdentityType || (exports.WebhookIdentityType = WebhookIdentityType = {}));
/**
 * Retrieves a single post by ID.
 * @param postId - Post ID.
 * @public
 * @documentationMaturity preview
 * @requiredField postId
 * @param options - Options specifying which additional fields to return.
 * @permissionId WIX_FORUM.POST_READ
 * @permissionScope Read Forums
 * @permissionScopeId SCOPE.DC-FORUM.READ-FORUM
 * @permissionScope Manage Forums
 * @permissionScopeId SCOPE.DC-FORUM.MANAGE-FORUM
 * @applicableIdentity APP
 * @returns Post for the provided post ID.
 * @fqn com.wixpress.npm.communities.forum.api.PostManagementService.GetPost
 * @deprecated
 * @targetRemovalDate 2025-04-15
 */
async function getPost(postId, options) {
    // @ts-ignore
    const { httpClient, sideEffects } = arguments[2];
    const payload = (0, rename_all_nested_keys_1.renameKeysFromSDKRequestToRESTRequest)({
        postId: postId,
        extraFields: options?.extraFields,
    });
    const reqOpts = ambassadorWixForumV1Post.getPost(payload);
    sideEffects?.onSiteCall?.();
    try {
        const result = await httpClient.request(reqOpts);
        sideEffects?.onSuccess?.(result);
        return (0, rename_all_nested_keys_1.renameKeysFromRESTResponseToSDKResponse)((0, transform_paths_1.transformPaths)(result.data, [
            {
                transformFn: page_url_1.transformRESTPageURLToSDKPageURL,
                paths: [{ path: 'post.url' }],
            },
            {
                transformFn: image_1.transformRESTImageToSDKImage,
                paths: [{ path: 'post.images', isRepeated: true }],
            },
            {
                transformFn: video_v2_1.transformRESTVideoV2ToSDKVideoV2,
                paths: [{ path: 'post.videos', isRepeated: true }],
            },
        ]))?.post;
    }
    catch (err) {
        const transformedError = (0, transform_error_1.transformError)(err, {
            spreadPathsToArguments: {},
            explicitPathsToArguments: {
                postId: '$[0]',
                extraFields: '$[1].extraFields',
            },
            singleArgumentUnchanged: false,
        }, ['postId', 'options']);
        sideEffects?.onError?.(err);
        throw transformedError;
    }
}
exports.getPost = getPost;
/**
 * Retrieves a single post by URL slug.
 * @param slug - URL slug.
 * @public
 * @documentationMaturity preview
 * @requiredField slug
 * @param options - Options specifying which additional fields to return.
 * @permissionId WIX_FORUM.POST_READ
 * @permissionScope Read Forums
 * @permissionScopeId SCOPE.DC-FORUM.READ-FORUM
 * @permissionScope Manage Forums
 * @permissionScopeId SCOPE.DC-FORUM.MANAGE-FORUM
 * @applicableIdentity APP
 * @fqn com.wixpress.npm.communities.forum.api.PostManagementService.GetPostBySlug
 * @deprecated
 * @targetRemovalDate 2025-04-15
 */
async function getPostBySlug(slug, options) {
    // @ts-ignore
    const { httpClient, sideEffects } = arguments[2];
    const payload = (0, rename_all_nested_keys_1.renameKeysFromSDKRequestToRESTRequest)({
        slug: slug,
        extraFields: options?.extraFields,
    });
    const reqOpts = ambassadorWixForumV1Post.getPostBySlug(payload);
    sideEffects?.onSiteCall?.();
    try {
        const result = await httpClient.request(reqOpts);
        sideEffects?.onSuccess?.(result);
        return (0, rename_all_nested_keys_1.renameKeysFromRESTResponseToSDKResponse)((0, transform_paths_1.transformPaths)(result.data, [
            {
                transformFn: page_url_1.transformRESTPageURLToSDKPageURL,
                paths: [{ path: 'post.url' }],
            },
            {
                transformFn: image_1.transformRESTImageToSDKImage,
                paths: [{ path: 'post.images', isRepeated: true }],
            },
            {
                transformFn: video_v2_1.transformRESTVideoV2ToSDKVideoV2,
                paths: [{ path: 'post.videos', isRepeated: true }],
            },
        ]));
    }
    catch (err) {
        const transformedError = (0, transform_error_1.transformError)(err, {
            spreadPathsToArguments: {},
            explicitPathsToArguments: {
                slug: '$[0]',
                extraFields: '$[1].extraFields',
            },
            singleArgumentUnchanged: false,
        }, ['slug', 'options']);
        sideEffects?.onError?.(err);
        throw transformedError;
    }
}
exports.getPostBySlug = getPostBySlug;
/**
 * Returns a list of posts by query.
 *
 * Paging
 * - limit: default - 10, min - 0, max - 100
 * - offset: default - 0, min - 0
 *
 * Filterable fields:
 * - id
 * - categoryId
 * - ownerId
 * - title
 * - contentText
 * - bestAnswerCommentId
 * - pinned
 * - commentingEnabled
 * - commentCount
 * - likeCount
 * - viewCount
 * - createdDate
 * - editedDate
 * - lastActivityDate
 * - slug
 *
 * Sortable fields:
 * - lastActivityDate
 * - createdDate
 * - commentCount
 * - viewCount
 * - likeCount
 * - pinned
 * @public
 * @documentationMaturity preview
 * @param options - Options for sorting, filtering, paging, and specifying return fields.
 * @permissionId WIX_FORUM.POST_READ
 * @permissionScope Read Forums
 * @permissionScopeId SCOPE.DC-FORUM.READ-FORUM
 * @permissionScope Manage Forums
 * @permissionScopeId SCOPE.DC-FORUM.MANAGE-FORUM
 * @applicableIdentity APP
 * @fqn com.wixpress.npm.communities.forum.api.PostManagementService.QueryPosts
 * @deprecated
 * @targetRemovalDate 2025-10-15
 */
async function queryPosts(options) {
    // @ts-ignore
    const { httpClient, sideEffects } = arguments[1];
    const payload = (0, rename_all_nested_keys_1.renameKeysFromSDKRequestToRESTRequest)({
        paging: options?.paging,
        filter: options?.filter,
        sort: options?.sort,
        extraFields: options?.extraFields,
    });
    const reqOpts = ambassadorWixForumV1Post.queryPosts(payload);
    sideEffects?.onSiteCall?.();
    try {
        const result = await httpClient.request(reqOpts);
        sideEffects?.onSuccess?.(result);
        return (0, rename_all_nested_keys_1.renameKeysFromRESTResponseToSDKResponse)((0, transform_paths_1.transformPaths)(result.data, [
            {
                transformFn: page_url_1.transformRESTPageURLToSDKPageURL,
                paths: [{ path: 'posts.url' }],
            },
            {
                transformFn: image_1.transformRESTImageToSDKImage,
                paths: [{ path: 'posts.images', isRepeated: true }],
            },
            {
                transformFn: video_v2_1.transformRESTVideoV2ToSDKVideoV2,
                paths: [{ path: 'posts.videos', isRepeated: true }],
            },
        ]));
    }
    catch (err) {
        const transformedError = (0, transform_error_1.transformError)(err, {
            spreadPathsToArguments: {},
            explicitPathsToArguments: {
                paging: '$[0].paging',
                filter: '$[0].filter',
                sort: '$[0].sort',
                extraFields: '$[0].extraFields',
            },
            singleArgumentUnchanged: false,
        }, ['options']);
        sideEffects?.onError?.(err);
        throw transformedError;
    }
}
exports.queryPosts = queryPosts;
//# sourceMappingURL=forum-v1-post-posts.universal.js.map